#!/bin/sh
TMP="$1/~vdrburn"
rm $1/size.vdr
rm $1/size_cut.vdr
vdrsync.pl -i $1 | tee $TMP
if [ -f $1/marks.vdr ] ; then
   CC=`grep -c ":" $1/marks.vdr`
   # fix for vdrsync ( last Mark must be set )
   if [ $(($CC % 2)) = 1 ] ; then
      grep "^movie_length :" $TMP | cut -f 3 -d " " >> $1/marks.vdr
      vdrsync.pl -i $1 > $TMP
   fi
fi
DIR_SIZE=`grep "^movie_size_cut :" $TMP |cut -f 2 -d ":"`
if [ "$DIR_SIZE" != "" ] ; then
   DS=$(($DIR_SIZE / 1024 ))
   echo "$DS" > $1/size_cut.vdr
fi
DIR_SIZE=`grep "^movie_size :" $TMP |cut -f 2 -d ":"`
if [ "$DIR_SIZE" != "" ] ; then
   DS=$(($DIR_SIZE / 1024 ))
   echo "$DS" > $1/size.vdr
fi
rm $TMP
