#!/bin/sh
SVDRPCMD=/usr/bin/svdrpsend.pl

$SVDRPCMD MESG "EPG-Scan wird durchgefuehrt..."
$SVDRPCMD CLRE

$SVDRPCMD CHAN +
$SVDRPCMD CHAN - > /tmp/svdrp.chan
lastchannel=`cat /tmp/svdrp.chan | awk '/^250/ { print $2 }'`
rm /tmp/svdrp.chan

OLDIFS=$IFS
IFS=$'t'$'n'
for i in `grep '^[A-Z]' /etc/vdr/channels.conf | awk -F ':' '{print $2$3$4":"$1}' | sort -nu | awk -F ':' '{print $2}' | awk -F ';' '{print $1}' | awk -F ',' '{print $1}'`; do
 $SVDRPCMD CHAN $i;
  sleep 10;
done
IFS=$OLDIFS

$SVDRPCMD CHAN $lastchannel

$SVDRPCMD MESG "EPG-Scan beendet. Aktualisiere Autotimer..."
kill -HUP `pgrep ".*vdradmind.*"`

$SVDRPCMD MESG "done"

# Soll es keinen Shutdown geben muessen die folgenden
# Zeilen geloescht werden!
echo "$SVDRPCMD HITK Power" | at now + 5 minutes >/dev/null 2>&1
$SVDRPCMD MESG Shutdown in 5 Minuten
exit 1
