#"/bin/sh
LASTCALL=""
MSN=";32168;"
NCLOG="/tmp/fritz.log"
CALL_DB="/root/caller.db"

if [ "$(pidof nc6)" = "" ] ; then
   nc6 fritz.box 1012 | tee $NCLOG &
   sleep 5
fi

while [ "$(pidof nc6)" != "" ] ; do
   INCOMING=$(tail -n 10 $NCLOG | grep ";RING;" | grep $MSN | tail -n1)
   if [ "$INCOMING" != "$LASTCALL" ] ; then
      LASTCALL=$INCOMING
      NUMBER=$(echo "$INCOMING" | cut -f 4 -d ";")
      CALLER=$(grep "^$NUMBER " $CALL_DB )
      if [ "$CALLER" = "" ] ; then
         CALLER=$(wget -O - "http://www.dasoertliche.de/DB4Web/es/oetb2suche/home.htm?kw_invers=$NUMBER&main=Antwort&AKTION=START_INVERS_SUCHE&SEITE=INVERSSUCHE_V&s=2&rg=1&AKTION=START_SUCHE&sourceid=mozilla-search" 2>/dev/null | grep "class=\"blb\"" | cut -f 3,5 -d ">" | sed -e "s/<\/a>/, /" -e "s/<.*//")
         echo "$NUMBER $CALLER" >> $CALL_DB 
      else
         CALLER=$(echo "$CALLER" | cut -f 2- -d " ")
      fi
      logger -s "Caller: $NUMBER $CALLER"
      svdrpsend.pl "MESG $NUMBER $CALLER"
   fi
   sleep 1
done
